var globalUrl = "http://hejin.meilianji.cn/web";
var globalUrl2 = "http://hejin.meilianji.cn";

/**
* @description 封装ajax请求
* @param {String} url 请求地址
* @param {Object} dataObj 请求参数
* @param {String} type 结果类型
* @return {String} type 结果类型
*/
function getDataByAjax(url, dataObj, type, fn, dataType='json', error='', async='true') {
    var getUrl = globalUrl + url;
    
    dataObj['user_id'] = getLocVal("user_id");
    dataObj['version'] = getLocVal("zs_version");
    
    //console.log(dataObj)
    
    $.ajax({
        type: 'post',
        url: getUrl,
        success: fn,
        dataType: dataType,
        data: dataObj,
        contentType : "application/x-www-form-urlencoded",
        async: async,
        beforeSend:function() {
        },
        error:error,
        complete: function(){
        }
    });
}

//打开新窗口
function openNewWin(name, url) {
    appcan.openWinWithUrl(name, url);
}

//关闭页面   
function toClose() {
    appcan.window.close(-1);
}

//设置缓存
function setLocVal(key, value) {
    window.localStorage[key] = value;
}

//获取缓存
function getLocVal(key) {
    if (window.localStorage[key])
        return window.localStorage[key];
    else
        return "";
}

//清空缓存
function clearLocVal(key){
    if(key)
        window.localStorage.removeItem(key);
    else
        window.localStorage.clear();
}

//获取id元素
function $$(id) {
    return document.getElementById(id)
}

function secondAutoLogin() {
    dataobj = {
       loginway: 'phone',
       number: getLocVal("phonenum"),
       passwd: getLocVal("password"),
       OS: getLocVal("zs_OS"),
       Manufacturer: getLocVal("zs_Manufacturer"),
       IMEI: getLocVal("zs_IMEI"),
       MobileOperatorName: getLocVal("zs_MobileOperatorName"),
       Model: getLocVal("zs_Model"),
   }
   url = '/main/user_login_to_auto_by_way2.php';
   getDataByAjax(url, dataobj, "get", function(data) {
       if (data[0].success == "1") {
            //用户id
            setLocVal("user_id", data[0].user_id);
            //用户昵称
            setLocVal("nickname", data[0].user_nick);
            //缓存密码
            setLocVal("password", data[0].passwd);
            //手机号码
            setLocVal("phonenum", data[0].phone);
            //性别
            setLocVal("user_sex", data[0].sex);
            
            setLocVal("login_if", 1);
            
            setLocVal("userImg", data[0].pics);

        } else {
            setLocVal("login_if", 0);
        }
   });
}

//提交用户点击信息
function submitClickInfo(module_num) {

    var clickInfo = [{
        "user_id": getLocVal("user_id"),
        "phone": getLocVal("phonenum"),
        "sex": getLocVal("user_sex"),
        "if_ios": getLocVal("zs_plat"),  //1为iphone，0为android
        "gps": '',  //经度,纬度
        "phone_sn": getLocVal("zs_IMEI"),
        "module_num": module_num,
    }];
    url = '/click/click_info_submit.php';
    dataobj = {
       json: JSON.stringify(clickInfo), 
    }
  
    getDataByAjax(url, dataobj, "get", function(data) {
    })
}

//阻止冒泡事件
function stopPropagationBubble(ev) {
    var oEvent = ev || event;
    //js阻止事件冒泡
    oEvent.cancelBubble = true;
    oEvent.stopPropagation();
}

//排序
function ksort(inputArr, sort_flags) {
      var tmp_arr = {},
        keys = [],
        sorter, i, k, that = this,
        strictForIn = false,
        populateArr = {};
    
      switch (sort_flags) {
      case 'SORT_STRING':
        // compare items as strings
        sorter = function (a, b) {
          return that.strnatcmp(a, b);
        };
        break;
      case 'SORT_LOCALE_STRING':
        // compare items as strings, original by the current locale (set with  i18n_loc_set_default() as of PHP6)
        var loc = this.i18n_loc_get_default();
        sorter = this.php_js.i18nLocales[loc].sorting;
        break;
      case 'SORT_NUMERIC':
        // compare items numerically
        sorter = function (a, b) {
          return ((a + 0) - (b + 0));
        };
        break;
        // case 'SORT_REGULAR': // compare items normally (don't change types)
      default:
        sorter = function (a, b) {
          var aFloat = parseFloat(a),
            bFloat = parseFloat(b),
            aNumeric = aFloat + '' === a,
            bNumeric = bFloat + '' === b;
          if (aNumeric && bNumeric) {
            return aFloat > bFloat ? 1 : aFloat < bFloat ? -1 : 0;
          } else if (aNumeric && !bNumeric) {
            return 1;
          } else if (!aNumeric && bNumeric) {
            return -1;
          }
          return a > b ? 1 : a < b ? -1 : 0;
        };
        break;
      }
    
      // Make a list of key names
      for (k in inputArr) {
        if (inputArr.hasOwnProperty(k)) {
          keys.push(k);
        }
      }
      keys.sort(sorter);
    
      // BEGIN REDUNDANT
      this.php_js = this.php_js || {};
      this.php_js.ini = this.php_js.ini || {};
      // END REDUNDANT
      strictForIn = this.php_js.ini['phpjs.strictForIn'] && this.php_js.ini['phpjs.strictForIn'].local_value && this.php_js
        .ini['phpjs.strictForIn'].local_value !== 'off';
      populateArr = strictForIn ? inputArr : populateArr;
    
      // Rebuild array with sorted key names
      for (i = 0; i < keys.length; i++) {
        k = keys[i];
        tmp_arr[k] = inputArr[k];
        if (strictForIn) {
          delete inputArr[k];
        }
      }
      for (i in tmp_arr) {
        if (tmp_arr.hasOwnProperty(i)) {
          populateArr[i] = tmp_arr[i];
        }
      }
    
      return strictForIn || populateArr;
    }
        
/**
 * 生成签名信息
 * $secretKey 产品私钥
 * $params 接口请求参数，不包括signature参数
 */
function gen_signature(params, secretKey){
    d = ksort(params);
    buff="";
    $.each(d, function(key, value){ 
        buff +=key+'=';
        buff +=value+'&';

    });
    buff += 'key='+secretKey;
    return md5(buff).toUpperCase();
}

//打开图片
function openImg(url, pos) {
    stopPropagationBubble();  //防止事件冒泡
    var imgArray = new Array();
    for(var i=0; i<url.length; i++) {
         var d = url[i].pic_url;
         imgArray.push(d);
    }
    
    var data = {
        startIndex:pos,
        data:imgArray
    }
    
    uexImage.openBrowser(data,function(){
        
    });
}

//获取定位 start  
function getLocation() {
    uexLocation.openLocation("bd09",function(){
        if(error){
        }
    });
    uexLocation.onChange = function(lat, lng) {
        setLocVal("volunteer_cur_lng", lng);
        setLocVal("volunteer_cur_lat", lat);
        
        uexLocation.onChange = function(lat, log){
            setLocVal("volunteer_cur_lng", lng);
            setLocVal("volunteer_cur_lat", lat);
        }
    }
}

function html_encode(str) {
    var s = "";
    if (str.length == 0) return "";
    s = str.replace(/&/g, "&gt;");
    s = s.replace(/</g, "&lt;");
    s = s.replace(/>/g, "&gt;");
    s = s.replace(/ /g, "&nbsp;");
    s = s.replace(/\'/g, "&#39;");
    s = s.replace(/\"/g, "&quot;");
    s = s.replace(/\n/g, "<br>");
    return s;
}

//去掉alert域名
(function(){
    window.alert = function(name){
        var iframe = document.createElement("IFRAME");
        iframe.style.display="none";
        iframe.setAttribute("src", 'data:text/plain');
        document.documentElement.appendChild(iframe);
        window.frames[0].window.alert(name);
        iframe.parentNode.removeChild(iframe);
    }
})();